std::this_thread Namespace Reference
Threads

## Functions

void | __sleep_for (chrono::seconds, chrono::nanoseconds)
thread::id | get_id () noexcept
template<typename _Rep , typename _Period >
void | sleep_for (const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Clock , typename _Duration >
void | sleep_until (const chrono::time_point< _Clock, _Duration > &__atime)
void | yield () noexcept

## Detailed Description

ISO C++ 2011 entities sub-namespace for thread. 30.3.2 Namespace this_thread.

## Function Documentation

thread::id std::this_thread::get_id | ( |  | ) |

inlinenoexcept

get_id

Definition at line 252 of file thread.

template<typename _Rep , typename _Period >

void std::this_thread::sleep_for | ( | const chrono::duration< _Rep, _Period > & | __rtime | ) |

inline

sleep_for

Definition at line 269 of file thread.

References std::chrono::duration_cast().

Referenced by sleep_until().

template<typename _Clock , typename _Duration >

void std::this_thread::sleep_until | ( | const chrono::time_point< _Clock, _Duration > & | __atime | ) |

inline

sleep_until

Definition at line 288 of file thread.

References sleep_for().

void std::this_thread::yield | ( |  | ) |

inlinenoexcept

yield

Definition at line 256 of file thread.